#!/usr/bin/env fish
import colors
import log

set_default notify_fg (hlwm_text)
set_default notify_bg (hlwm_normal)
set_default notify_font $hlwm_font
set_default notify_padding 30

function notify
    argparse -i 'secs=!_validate_int --min 1' -- $argv
    set_default _flag_secs 1
    set -f text_width (textwidth "$notify_font" "$argv")
    
    echo "$argv" |                                  \
        dzen2                                       \
            -p $_flag_secs                          \
            -fg $notify_fg                          \
            -bg $notify_bg                          \
            -fn $notify_font                        \
            -ta 'c'                                 \
            -w (math $text_width + $notify_padding) \
            -h 16
end